org.wso2.carbon.device.mgt.mobile.windows.api.operations

## Class SyncmlBody

- java.lang.Object
- - org.wso2.carbon.device.mgt.mobile.windows.api.operations.SyncmlBody

-     public class SyncmlBody
      extends Object

  Represents the body details of a syncml.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SyncmlBody()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `buildBodyElement(Document doc, Element rootElement)`
    `AlertTag` | `getAlert()`
    `AtomicTag` | `getAtomicTag()`
    `List<ExecuteTag>` | `getExec()`
    `GetTag` | `getGet()`
    `ReplaceTag` | `getReplace()`
    `ResultsTag` | `getResults()`
    `SequenceTag` | `getSequence()`
    `List<StatusTag>` | `getStatus()`
    `void` | `setAlert(AlertTag alert)`
    `void` | `setAtomicTag(AtomicTag atomicTag)`
    `void` | `setExec(List<ExecuteTag> exec)`
    `void` | `setGet(GetTag get)`
    `void` | `setReplace(ReplaceTag replace)`
    `void` | `setResults(ResultsTag results)`
    `void` | `setSequence(SequenceTag sequence)`
    `void` | `setStatus(List<StatusTag> status)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SyncmlBody

          public SyncmlBody()

  - ### Method Detail

    - #### getAtomicTag

          public AtomicTag getAtomicTag()

    - #### setAtomicTag

          public void setAtomicTag(AtomicTag atomicTag)

    - #### getSequence

          public SequenceTag getSequence()

    - #### setSequence

          public void setSequence(SequenceTag sequence)

    - #### getExec

          public List<ExecuteTag> getExec()

    - #### setExec

          public void setExec(List<ExecuteTag> exec)

    - #### getResults

          public ResultsTag getResults()

    - #### setResults

          public void setResults(ResultsTag results)

    - #### getReplace

          public ReplaceTag getReplace()

    - #### setReplace

          public void setReplace(ReplaceTag replace)

    - #### getStatus

          public List<StatusTag> getStatus()

    - #### setStatus

          public void setStatus(List<StatusTag> status)

    - #### getAlert

          public AlertTag getAlert()

    - #### setAlert

          public void setAlert(AlertTag alert)

    - #### getGet

          public GetTag getGet()

    - #### setGet

          public void setGet(GetTag get)

    - #### buildBodyElement

          public void buildBodyElement(Document doc,
                              Element rootElement)

Copyright © 2017 WSO2. All rights reserved.